List payments for a specific agent
curl --request GET \
--url https://api.xentfi.com/v1/agents/{agentId}/payments \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>'const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/agents/{agentId}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.xentfi.com/v1/agents/{agentId}/payments"
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.xentfi.com/v1/agents/{agentId}/payments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/agents/{agentId}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentWalletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetId": "<string>",
"blockchainId": "<string>",
"recipient": "<string>",
"amount": "<string>",
"amountUsd": "<string>",
"policyId": "<string>",
"policyEvaluation": {},
"denialReason": "<string>",
"waasTxHash": "<string>",
"idempotencyKey": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"executedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"hasMore": true
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}Agents
List payments for a specific agent
GET
/
v1
/
agents
/
{agentId}
/
payments
List payments for a specific agent
curl --request GET \
--url https://api.xentfi.com/v1/agents/{agentId}/payments \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>'const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/agents/{agentId}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.xentfi.com/v1/agents/{agentId}/payments"
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.xentfi.com/v1/agents/{agentId}/payments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/agents/{agentId}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentWalletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetId": "<string>",
"blockchainId": "<string>",
"recipient": "<string>",
"amount": "<string>",
"amountUsd": "<string>",
"policyId": "<string>",
"policyEvaluation": {},
"denialReason": "<string>",
"waasTxHash": "<string>",
"idempotencyKey": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"executedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"hasMore": true
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}Path Parameters
Query Parameters
Filter by agent wallet ID
Filter by transaction status
Available options:
PENDING, POLICY_DENIED, APPROVED, SUBMITTED, EXECUTED, FAILED Available options:
ASC, DESC ⌘I

